IANA Private Enterprise Numbers
LSI Logic
{1 3 6 1 4 1 3582}
Descriptions may differ between sources. The primary description is shown first.
LSI Logic
This MIB defines the high level nodes for LSI switch MIBs. It maintains the high level portion of the LSI switch OID tree, and is imported by all LSI switch MIBs. Copyright (c) 2010 LSI Corporation.
Status in source: unspecified.
{
"contact": "Ken Wisniewski",
"organization": "LSI Logic",
"email_as_published": "kenw&lsil.com"
}Downloaded: 2026-10-24T04:19:29.314233+00:00.
Status in source: unspecified.
Names: lsiSwitchRegModule
{
"smi_kind": "MODULE-IDENTITY",
"definition": [
"lsiSwitchRegModule",
"MODULE-IDENTITY",
"LAST-UPDATED",
[
"literal",
"223230313030353132303030305a22"
],
"ORGANIZATION",
"\"LSI, Corp.\"",
"CONTACT-INFO",
"\"Customer Technical Support LSI Corporation Web: www.lsi.com\"",
"DESCRIPTION",
"\"This MIB defines the high level nodes for LSI switch MIBs. It maintains the high level portion of the LSI switch OID tree, and is imported by all LSI switch MIBs. Copyright (c) 2010 LSI Corporation.\"",
"REVISION",
[
"literal",
"223230313030353132303030305a22"
],
"DESCRIPTION",
"\"Initial revision\"",
"::=",
"{",
"enterprises",
"3582",
"}"
],
"syntax_tree": [
[
"LAST-UPDATED",
"201005120000Z"
],
[
"ORGANIZATION",
"LSI, Corp."
],
[
"CONTACT-INFO",
"Customer Technical Support LSI Corporation Web: www.lsi.com"
],
[
"DESCRIPTION",
"This MIB defines the high level nodes for LSI switch MIBs. It maintains the high level portion of the LSI switch OID tree, and is imported by all LSI switch MIBs. Copyright (c) 2010 LSI Corporation."
],
[
"Revisions",
[
[
"201005120000Z",
[
"DESCRIPTION",
"Initial revision"
]
]
]
]
]
}Module: LSI-SAS6160-MIB
lsiSwitchRegModule MODULE-IDENTITY
LAST-UPDATED "201005120000Z"
ORGANIZATION "LSI, Corp."
CONTACT-INFO "Customer Technical Support
LSI Corporation
Web: www.lsi.com"
DESCRIPTION "This MIB defines the high level nodes for LSI switch MIBs.
It maintains the high level portion of the LSI switch OID
tree, and is imported by all LSI switch MIBs.
Copyright (c) 2010 LSI Corporation."
REVISION "201005120000Z" -- 12 MAY 2010
DESCRIPTION "Initial revision"
::= {enterprises 3582}{'SNMPv2-TC': ['DisplayString', 'DateAndTime'], 'SNMPv2-SMI': ['MODULE-IDENTITY', 'OBJECT-IDENTITY', 'OBJECT-TYPE', 'NOTIFICATION-TYPE', 'Unsigned32'], 'RFC1213-MIB': ['system'], 'LSI-TEXTUAL-CONVENTION-MIB': ['lsiTcModule', 'SasAddress']}Source data warning: The published LSI SAS6160 MIB uses enterprises without importing it. This qualified interpretation uses the standard enterprise root from RFC 1155, while the original MIB defines enterprise 3582. Fujitsu distributes this LSI copy; applicability to a particular device or firmware is unconfirmed. Its imported LSI textual conventions are not present in the package and their type semantics were not independently verified. The MIB and source package are available for verification.
· Download LSI SAS6160 MIB — saved edition 1Related source files and packages:
The published LSI SAS6160 MIB uses enterprises without importing it. This qualified interpretation uses the standard enterprise root from RFC 1155, while the original MIB defines enterprise 3582. Fujitsu distributes this LSI copy; applicability to a particular device or firmware is unconfirmed. Its imported LSI textual conventions are not present in the package and their type semantics were not independently verified. The MIB and source package are available for verification.; Publisher path: prim_supportcd/SVSSoftware/Software/ServerView/MIBs/SNMPMIBs.zip; 30,286 bytes
Downloaded: 2026-11-03T07:10:57.991843+00:00.
Status in source: unspecified.
Names: perc
{
"smi_kind": "OBJECT IDENTIFIER",
"definition": [
"perc",
"OBJECT",
"IDENTIFIER",
"::=",
"{",
"enterprises",
"3582",
"}"
]
}Module: RAID-Adapter-MIB
perc OBJECT IDENTIFIER ::= { enterprises 3582 }{'RFC-1212': ['OBJECT-TYPE'], 'RFC1155-SMI': ['enterprises', 'Counter'], 'RFC1213-MIB': ['DisplayString']}Archived: 2026-10-19T00:22:08.972344+00:00.
Source file: Download MEGARAID.MIB.txt
File: lsi/MEGARAID.MIB.txt; 60,588 bytes
lsi OBJECT IDENTIFIER ::= { enterprises 3582 }
Source file: Download ServerView MIB copy — LSIRAID-IDE.MIB (saved edition 1) · Publisher's file
Module LSIRAID-IDE-MIB; IANA enterprise number(s) 3582. MIB copy distributed by Fujitsu in its ServerView package. The original vendor distribution and applicability to a particular device or firmware have not been independently confirmed; consult the named file and IANA enterprise registration.; Publisher path: prim_supportcd/SVSSoftware/Software/ServerView/MIBs/SNMPMIBs.zip; 30,545 bytes
Related source files and packages:
Source data warning: MIB copy distributed by Fujitsu in its ServerView package. The original vendor distribution and applicability to a particular device or firmware have not been independently confirmed; consult the named file and IANA enterprise registration.
Source file: Download ServerView MIB copy — LSI1030.MIB (saved edition 1) · Publisher's file
Module Adapter-1030-MIB; IANA enterprise number(s) 3582. MIB copy distributed by Fujitsu in its ServerView package. The original vendor distribution and applicability to a particular device or firmware have not been independently confirmed; consult the named file and IANA enterprise registration.; Publisher path: prim_supportcd/SVSSoftware/Software/ServerView/MIBs/SNMPMIBs.zip; 33,729 bytes
Source file: Download LSI-MegaRAID-SAS-MIB · Publisher's file
Copy from LibreNMS; 225,807 bytes
Vendor MIB copy from the LibreNMS archive.
Related source files and packages:
Source file: Download LSI-MegaRAID-SAS-MIB · Publisher's file
Copy from Observium Community; File: lsi/LSI-MegaRAID-SAS-MIB; 225,807 bytes
Vendor MIB copy from the Observium Community archive.
Related source files and packages:
Source file: Download LSI-megaRAID-SAS-IR-MIB · Publisher's file
Copy from Observium Community; File: lsi/LSI-megaRAID-SAS-IR-MIB; 165,032 bytes
Vendor MIB copy from the Observium Community archive.
Source file: Download RAID-Adapter-MIB.mib
Publisher path: Mibs; 60,628 bytes
lsi OBJECT IDENTIFIER ::= { enterprises 3582 }
| OID | Name | Direct children | Descendants | Description |
|---|---|---|---|---|
| 1.3.6.1.4.1.3582.1 | percRAID, megaRaid | 1 | 220 | |
| 1.3.6.1.4.1.3582.2 | lsiRAID | 1 | 92 | |
| 1.3.6.1.4.1.3582.3 | megaIDE | 1 | 85 | |
| 1.3.6.1.4.1.3582.4 | storageComponents | 1 | 623 | |
| 1.3.6.1.4.1.3582.5 | lsiStorageComponents | 1 | 471 | |
| 1.3.6.1.4.1.3582.200 | lsiSwitchFamily | 1 | 77 |
| OID | Name | Direct children | Descendants | Description |
|---|---|---|---|---|
| 1.3.6.1.4.1.9501 | 9501 | 0 | 0 | SVA-INTRUSION.COM Co. LTD |
| 1.3.6.1.4.1.9502 | 9502 | 0 | 0 | Ross Technology Group, Inc. |
| 1.3.6.1.4.1.9503 | 9503 | 0 | 0 | Telemovil El Salvador |
| 1.3.6.1.4.1.9504 | 9504 | 0 | 0 | tops.net GmbH & Co Online Publishing Services KG |
| 1.3.6.1.4.1.9505 | 9505 | 0 | 0 | bone labs GmbH |
| 1.3.6.1.4.1.9506 | 9506 | 0 | 0 | Real Solutions Ltd. |
| 1.3.6.1.4.1.9507 | 9507 | 0 | 0 | Wharton Electronics |
| 1.3.6.1.4.1.9508 | 9508 | 0 | 0 | MobileSpear Inc. |
| 1.3.6.1.4.1.9509 | 9509 | 0 | 0 | Enkash Payment Network |
| 1.3.6.1.4.1.9510 | 9510 | 0 | 0 | KONSYS |
| 1.3.6.1.4.1.9511 | 9511 | 0 | 0 | Vulkan Technic GmbH |
| 1.3.6.1.4.1.9512 | 9512 | 0 | 0 | Online Consulting, Ltd. |
| 1.3.6.1.4.1.9513 | 9513 | 0 | 0 | Exacomm Systems |
| 1.3.6.1.4.1.9514 | 9514 | 0 | 0 | Konica Business Technologies, Inc. |
| 1.3.6.1.4.1.9515 | 9515 | 0 | 0 | Sugar Creek Packing Co. |
| 1.3.6.1.4.1.9516 | 9516 | 0 | 0 | Digital World Services |
| 1.3.6.1.4.1.9517 | 9517 | 0 | 0 | Sanrise Inc |
| 1.3.6.1.4.1.9518 | 9518 | 0 | 0 | Pratt & Whitney |
| 1.3.6.1.4.1.9519 | 9519 | 0 | 0 | Soward Network Solutions |
| 1.3.6.1.4.1.9520 | 9520 | 0 | 0 | Phase2 Software Corp |
| 1.3.6.1.4.1.9521 | 9521 | 0 | 0 | PED Computers |
| 1.3.6.1.4.1.9522 | 9522 | 0 | 0 | Personeta |
| 1.3.6.1.4.1.9523 | 9523 | 0 | 0 | ST E15 |
| 1.3.6.1.4.1.9524 | 9524 | 0 | 0 | Andiamo Systems, Inc |
| 1.3.6.1.4.1.9525 | 9525 | 0 | 0 | BBC Monitoring |
| 1.3.6.1.4.1.9526 | 9526 | 0 | 0 | Shawmut Design & Construction |
| 1.3.6.1.4.1.9527 | 9527 | 0 | 0 | Inkras Networks Corporation |
| 1.3.6.1.4.1.9528 | 9528 | 0 | 0 | Iyago |
| 1.3.6.1.4.1.9529 | 9529 | 0 | 0 | Global Relay Inc. |
| 1.3.6.1.4.1.9530 | 9530 | 0 | 0 | CQUR . COM |
| 1.3.6.1.4.1.9531 | 9531 | 0 | 0 | Integra Telecom |
| 1.3.6.1.4.1.9532 | 9532 | 0 | 0 | Group 1 Software |
| 1.3.6.1.4.1.9533 | 9533 | 0 | 0 | TrueDisk |
| 1.3.6.1.4.1.9534 | 9534 | 0 | 0 | Handrew |
| 1.3.6.1.4.1.9535 | 9535 | 0 | 0 | Zurita Solutions |
| 1.3.6.1.4.1.9536 | 9536 | 0 | 0 | Massey University |
| 1.3.6.1.4.1.9537 | 9537 | 0 | 0 | Navox Corporation |
| 1.3.6.1.4.1.9538 | 9538 | 0 | 0 | StorageWay Inc. |
| 1.3.6.1.4.1.9539 | 9539 | 0 | 0 | STSN |
| 1.3.6.1.4.1.9540 | 9540 | 0 | 0 | Altentia |
| 1.3.6.1.4.1.9541 | 9541 | 3 | 3 | Lokaal Netwerk Gravenstraat |
| 1.3.6.1.4.1.9542 | 9542 | 0 | 0 | College of Engineering and Computer Science |
| 1.3.6.1.4.1.9543 | 9543 | 0 | 0 | Schwoo, Inc. |
| 1.3.6.1.4.1.9544 | 9544 | 0 | 0 | Electrical and Computer Engineering Dept., UBC |
| 1.3.6.1.4.1.9545 | 9545 | 0 | 0 | State Street Corp. |
| 1.3.6.1.4.1.9546 | 9546 | 0 | 0 | Dominet Systems |
| 1.3.6.1.4.1.9547 | 9547 | 0 | 0 | foo Corporation |
| 1.3.6.1.4.1.9548 | 9548 | 0 | 0 | Datachron Inc. |
| 1.3.6.1.4.1.9549 | 9549 | 0 | 0 | Southern Network Services, Inc. |
| 1.3.6.1.4.1.9550 | 9550 | 0 | 0 | vox2vox Communications, Inc. |